[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# FillWord

Fill memory region with 16-bit pattern

## Declaration

Source position: systemh.inc line 786

`procedure FillWord(`
`var x;`
`count: SizeInt;`
`Value: Word`
`);`

## Description

Fillword fills the memory starting at X with Count words with value equal to Value. A word is 2 bytes in size.

## Errors

No checking on the size of X is done.

## See also

Fillchar |  | Fill memory region with certain character
Move |  | Move data from one location in memory to another

## Example

    Program Example76;

    { Program to demonstrate the FillWord function. }

    Var W : Array[1..100] of Word;

    begin
      { Quick initialization of array W }
      FillWord(W,100,0);
    end.